Changeset 2997


Ignore:
Timestamp:
Oct 15, 2013 11:48:53 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SoPlex/stable/1.2/configure

    r2944 r2997  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-soplex compile project SoPlex with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --disable-pkg-config    disable use of pkg-config (if available)
    10901087  --enable-static[=PKGS]
     
    18801877
    18811878# Get the name of the C compiler and appropriate compiler options
    1882 case $build in
     1879
     1880
     1881  # for backward compatibility
     1882  # Check whether --enable-doscompile or --disable-doscompile was given.
     1883if test "${enable_doscompile+set}" = set; then
     1884  enableval="$enable_doscompile"
     1885  enable_doscompile=$enableval
     1886else
     1887  enable_doscompile=no
     1888fi;
     1889
     1890  # Check whether --enable-msvc or --disable-msvc was given.
     1891if test "${enable_msvc+set}" = set; then
     1892  enableval="$enable_msvc"
     1893  enable_msvc=$enableval
     1894else
     1895  enable_msvc=no
     1896     if test "$enable_doscompile" = msvc ; then
     1897       enable_msvc=yes
     1898     elif test "$enable_doscompile" != no ; then
     1899       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1900echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1901   { (exit 1); exit 1; }; }
     1902     fi
     1903
     1904fi;
     1905
     1906  if test "$enable_msvc" = yes; then
     1907    case $build in
     1908      *-cygwin* | *-mingw*) ;;
     1909      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1910echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1911   { (exit 1); exit 1; }; } ;;
     1912    esac
     1913  fi
     1914
     1915
     1916 case $build in
    18831917  *-mingw*)
    18841918    if test "${LD+set}" = set; then :; else
     
    18871921    ;;
    18881922 esac
    1889  case $enable_doscompile in
    1890    msvc)
    1891      if test "x${LD+set}" = xset; then :; else
    1892        LD=link
    1893      fi
    1894      ;;
    1895  esac
    1896 
    1897 
    1898  # Check whether --enable-doscompile or --disable-doscompile was given.
    1899 if test "${enable_doscompile+set}" = set; then
    1900   enableval="$enable_doscompile"
    1901   if test "$enable_doscompile" != no; then
    1902      case $build in
    1903        *-cygwin* | *-mingw*) ;;
    1904        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1905 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1906    { (exit 1); exit 1; }; } ;;
    1907      esac
     1923 if test $enable_msvc = yes ; then
     1924   if test "x${LD+set}" = xset; then :; else
     1925     LD=link
    19081926   fi
    1909 else
    1910   enable_doscompile=no
    1911 fi;
    1912  case "$enable_doscompile" in
    1913    mingw)
    1914      case $build in
    1915        *-mingw*) enable_doscompile=no ;;
    1916      esac
    1917      ;;
    1918    msvc|no) ;;
    1919    yes) enable_doscompile=mingw ;;
    1920    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1921                     Try configure --help=recursive." >&5
    1922 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1923                     Try configure --help=recursive." >&2;}
    1924    { (exit 1); exit 1; }; }
    1925       ;;
    1926   esac
    1927   if test "$enable_doscompile" != no ; then
    1928     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1929 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1930   fi
     1927 fi
    19311928
    19321929
     
    19711968case $build in
    19721969  *-cygwin* | *-mingw*)
    1973              if test "$enable_doscompile" = msvc ; then
    1974                comps="icl cl"
     1970             if test "$enable_msvc" = yes ; then
     1971               comps="icl cl gcc"
    19751972             else
    1976                comps="gcc cl"
     1973               comps="gcc icl cl"
    19771974             fi ;;
    19781975  *-*-solaris*)
     
    28272824            ;;
    28282825        esac
    2829         case $enable_doscompile in
    2830           mingw)
    2831             CFLAGS="-mno-cygwin"
    2832             cat >conftest.$ac_ext <<_ACEOF
    2833 /* confdefs.h.  */
    2834 _ACEOF
    2835 cat confdefs.h >>conftest.$ac_ext
    2836 cat >>conftest.$ac_ext <<_ACEOF
    2837 /* end confdefs.h.  */
    2838 
    2839 int
    2840 main ()
    2841 {
    2842 int i=0; i++;
    2843   ;
    2844   return 0;
    2845 }
    2846 _ACEOF
    2847 rm -f conftest.$ac_objext conftest$ac_exeext
    2848 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2849   (eval $ac_link) 2>conftest.er1
    2850   ac_status=$?
    2851   grep -v '^ *+' conftest.er1 >conftest.err
    2852   rm -f conftest.er1
    2853   cat conftest.err >&5
    2854   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2855   (exit $ac_status); } &&
    2856          { ac_try='test -z "$ac_c_werror_flag"
    2857                          || test ! -s conftest.err'
    2858   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2859   (eval $ac_try) 2>&5
    2860   ac_status=$?
    2861   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2862   (exit $ac_status); }; } &&
    2863          { ac_try='test -s conftest$ac_exeext'
    2864   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2865   (eval $ac_try) 2>&5
    2866   ac_status=$?
    2867   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2868   (exit $ac_status); }; }; then
    2869   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2870 else
    2871   echo "$as_me: failed program was:" >&5
    2872 sed 's/^/| /' conftest.$ac_ext >&5
    2873 
    2874 fi
    2875 rm -f conftest.err conftest.$ac_objext \
    2876       conftest$ac_exeext conftest.$ac_ext
    2877             CFLAGS=
    2878           ;;
    2879         esac
    28802826    esac
    28812827  fi
     
    32183164  clang* ) ;;
    32193165  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3220     case $build in
     3166
     3167 case $build in
    32213168  *-mingw*)
    32223169    if test "${LD+set}" = set; then :; else
     
    32253172    ;;
    32263173 esac
    3227  case $enable_doscompile in
    3228    msvc)
    3229      if test "x${LD+set}" = xset; then :; else
    3230        LD=link
    3231      fi
    3232      ;;
    3233  esac
     3174 if test $enable_msvc = yes ; then
     3175   if test "x${LD+set}" = xset; then :; else
     3176     LD=link
     3177   fi
     3178 fi
    32343179
    32353180    ;;
     
    32663211case $build in
    32673212  *-cygwin* | *-mingw*)
    3268              if test "$enable_doscompile" = msvc ; then
    3269                comps="icl cl"
    3270              else
    3271                comps="g++ cl"
    3272              fi ;;
     3213      if test "$enable_msvc" = yes ; then
     3214         comps="icl cl g++"
     3215      else
     3216         comps="g++ icl cl"
     3217      fi ;;
    32733218  *-*-solaris*)
    32743219             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    37783723            ;;
    37793724        esac
    3780 
    3781         case $enable_doscompile in
    3782           mingw)
    3783             CXXFLAGS="-mno-cygwin"
    3784             cat >conftest.$ac_ext <<_ACEOF
    3785 /* confdefs.h.  */
    3786 _ACEOF
    3787 cat confdefs.h >>conftest.$ac_ext
    3788 cat >>conftest.$ac_ext <<_ACEOF
    3789 /* end confdefs.h.  */
    3790 
    3791 int
    3792 main ()
    3793 {
    3794 int i=0; i++;
    3795   ;
    3796   return 0;
    3797 }
    3798 _ACEOF
    3799 rm -f conftest.$ac_objext conftest$ac_exeext
    3800 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3801   (eval $ac_link) 2>conftest.er1
    3802   ac_status=$?
    3803   grep -v '^ *+' conftest.er1 >conftest.err
    3804   rm -f conftest.er1
    3805   cat conftest.err >&5
    3806   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3807   (exit $ac_status); } &&
    3808          { ac_try='test -z "$ac_cxx_werror_flag"
    3809                          || test ! -s conftest.err'
    3810   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3811   (eval $ac_try) 2>&5
    3812   ac_status=$?
    3813   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3814   (exit $ac_status); }; } &&
    3815          { ac_try='test -s conftest$ac_exeext'
    3816   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3817   (eval $ac_try) 2>&5
    3818   ac_status=$?
    3819   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3820   (exit $ac_status); }; }; then
    3821   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3822 else
    3823   echo "$as_me: failed program was:" >&5
    3824 sed 's/^/| /' conftest.$ac_ext >&5
    3825 
    3826 fi
    3827 rm -f conftest.err conftest.$ac_objext \
    3828       conftest$ac_exeext conftest.$ac_ext
    3829             CXXFLAGS=
    3830           ;;
    3831         esac
    38323725    esac
    38333726  fi
     
    41814074  clang* ) ;;
    41824075  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4183     case $build in
     4076
     4077 case $build in
    41844078  *-mingw*)
    41854079    if test "${LD+set}" = set; then :; else
     
    41884082    ;;
    41894083 esac
    4190  case $enable_doscompile in
    4191    msvc)
    4192      if test "x${LD+set}" = xset; then :; else
    4193        LD=link
    4194      fi
    4195      ;;
    4196  esac
     4084 if test $enable_msvc = yes ; then
     4085   if test "x${LD+set}" = xset; then :; else
     4086     LD=link
     4087   fi
     4088 fi
    41974089
    41984090    ;;
     
    61656057*-*-irix6*)
    61666058  # Find out which ABI we are using.
    6167   echo '#line 6167 "configure"' > conftest.$ac_ext
     6059  echo '#line 6059 "configure"' > conftest.$ac_ext
    61686060  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    61696061  (eval $ac_compile) 2>&5
     
    72997191
    73007192# Provide some information about the compiler.
    7301 echo "$as_me:7301:" \
     7193echo "$as_me:7193:" \
    73027194     "checking for Fortran 77 compiler version" >&5
    73037195ac_compiler=`set X $ac_compile; echo $2`
     
    83668258   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83678259   -e 's:$: $lt_compiler_flag:'`
    8368    (eval echo "\"\$as_me:8368: $lt_compile\"" >&5)
     8260   (eval echo "\"\$as_me:8260: $lt_compile\"" >&5)
    83698261   (eval "$lt_compile" 2>conftest.err)
    83708262   ac_status=$?
    83718263   cat conftest.err >&5
    8372    echo "$as_me:8372: \$? = $ac_status" >&5
     8264   echo "$as_me:8264: \$? = $ac_status" >&5
    83738265   if (exit $ac_status) && test -s "$ac_outfile"; then
    83748266     # The compiler can only warn and ignore the option if not recognized
     
    86348526   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86358527   -e 's:$: $lt_compiler_flag:'`
    8636    (eval echo "\"\$as_me:8636: $lt_compile\"" >&5)
     8528   (eval echo "\"\$as_me:8528: $lt_compile\"" >&5)
    86378529   (eval "$lt_compile" 2>conftest.err)
    86388530   ac_status=$?
    86398531   cat conftest.err >&5
    8640    echo "$as_me:8640: \$? = $ac_status" >&5
     8532   echo "$as_me:8532: \$? = $ac_status" >&5
    86418533   if (exit $ac_status) && test -s "$ac_outfile"; then
    86428534     # The compiler can only warn and ignore the option if not recognized
     
    87388630   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87398631   -e 's:$: $lt_compiler_flag:'`
    8740    (eval echo "\"\$as_me:8740: $lt_compile\"" >&5)
     8632   (eval echo "\"\$as_me:8632: $lt_compile\"" >&5)
    87418633   (eval "$lt_compile" 2>out/conftest.err)
    87428634   ac_status=$?
    87438635   cat out/conftest.err >&5
    8744    echo "$as_me:8744: \$? = $ac_status" >&5
     8636   echo "$as_me:8636: \$? = $ac_status" >&5
    87458637   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87468638   then
     
    1108310975  lt_status=$lt_dlunknown
    1108410976  cat > conftest.$ac_ext <<EOF
    11085 #line 11085 "configure"
     10977#line 10977 "configure"
    1108610978#include "confdefs.h"
    1108710979
     
    1118311075  lt_status=$lt_dlunknown
    1118411076  cat > conftest.$ac_ext <<EOF
    11185 #line 11185 "configure"
     11077#line 11077 "configure"
    1118611078#include "confdefs.h"
    1118711079
     
    1352713419   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1352813420   -e 's:$: $lt_compiler_flag:'`
    13529    (eval echo "\"\$as_me:13529: $lt_compile\"" >&5)
     13421   (eval echo "\"\$as_me:13421: $lt_compile\"" >&5)
    1353013422   (eval "$lt_compile" 2>conftest.err)
    1353113423   ac_status=$?
    1353213424   cat conftest.err >&5
    13533    echo "$as_me:13533: \$? = $ac_status" >&5
     13425   echo "$as_me:13425: \$? = $ac_status" >&5
    1353413426   if (exit $ac_status) && test -s "$ac_outfile"; then
    1353513427     # The compiler can only warn and ignore the option if not recognized
     
    1363113523   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1363213524   -e 's:$: $lt_compiler_flag:'`
    13633    (eval echo "\"\$as_me:13633: $lt_compile\"" >&5)
     13525   (eval echo "\"\$as_me:13525: $lt_compile\"" >&5)
    1363413526   (eval "$lt_compile" 2>out/conftest.err)
    1363513527   ac_status=$?
    1363613528   cat out/conftest.err >&5
    13637    echo "$as_me:13637: \$? = $ac_status" >&5
     13529   echo "$as_me:13529: \$? = $ac_status" >&5
    1363813530   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1363913531   then
     
    1520115093   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1520215094   -e 's:$: $lt_compiler_flag:'`
    15203    (eval echo "\"\$as_me:15203: $lt_compile\"" >&5)
     15095   (eval echo "\"\$as_me:15095: $lt_compile\"" >&5)
    1520415096   (eval "$lt_compile" 2>conftest.err)
    1520515097   ac_status=$?
    1520615098   cat conftest.err >&5
    15207    echo "$as_me:15207: \$? = $ac_status" >&5
     15099   echo "$as_me:15099: \$? = $ac_status" >&5
    1520815100   if (exit $ac_status) && test -s "$ac_outfile"; then
    1520915101     # The compiler can only warn and ignore the option if not recognized
     
    1530515197   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1530615198   -e 's:$: $lt_compiler_flag:'`
    15307    (eval echo "\"\$as_me:15307: $lt_compile\"" >&5)
     15199   (eval echo "\"\$as_me:15199: $lt_compile\"" >&5)
    1530815200   (eval "$lt_compile" 2>out/conftest.err)
    1530915201   ac_status=$?
    1531015202   cat out/conftest.err >&5
    15311    echo "$as_me:15311: \$? = $ac_status" >&5
     15203   echo "$as_me:15203: \$? = $ac_status" >&5
    1531215204   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1531315205   then
     
    1751217404   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1751317405   -e 's:$: $lt_compiler_flag:'`
    17514    (eval echo "\"\$as_me:17514: $lt_compile\"" >&5)
     17406   (eval echo "\"\$as_me:17406: $lt_compile\"" >&5)
    1751517407   (eval "$lt_compile" 2>conftest.err)
    1751617408   ac_status=$?
    1751717409   cat conftest.err >&5
    17518    echo "$as_me:17518: \$? = $ac_status" >&5
     17410   echo "$as_me:17410: \$? = $ac_status" >&5
    1751917411   if (exit $ac_status) && test -s "$ac_outfile"; then
    1752017412     # The compiler can only warn and ignore the option if not recognized
     
    1778017672   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1778117673   -e 's:$: $lt_compiler_flag:'`
    17782    (eval echo "\"\$as_me:17782: $lt_compile\"" >&5)
     17674   (eval echo "\"\$as_me:17674: $lt_compile\"" >&5)
    1778317675   (eval "$lt_compile" 2>conftest.err)
    1778417676   ac_status=$?
    1778517677   cat conftest.err >&5
    17786    echo "$as_me:17786: \$? = $ac_status" >&5
     17678   echo "$as_me:17678: \$? = $ac_status" >&5
    1778717679   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778817680     # The compiler can only warn and ignore the option if not recognized
     
    1788417776   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1788517777   -e 's:$: $lt_compiler_flag:'`
    17886    (eval echo "\"\$as_me:17886: $lt_compile\"" >&5)
     17778   (eval echo "\"\$as_me:17778: $lt_compile\"" >&5)
    1788717779   (eval "$lt_compile" 2>out/conftest.err)
    1788817780   ac_status=$?
    1788917781   cat out/conftest.err >&5
    17890    echo "$as_me:17890: \$? = $ac_status" >&5
     17782   echo "$as_me:17782: \$? = $ac_status" >&5
    1789117783   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1789217784   then
     
    2142121313echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2142221314coin_link_input_cmd="$LN_S"
    21423 if test "$enable_doscompile" = mingw; then
    21424   coin_link_input_cmd=cp
    21425 fi
    2142621315case "$CC" in
    2142721316  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.